<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
		<OutputPath>$(SolutionDir)Binary\Console</OutputPath>
		<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<UseWPF>true</UseWPF>
		<CentralPackageTransitivePinningEnabled>true</CentralPackageTransitivePinningEnabled>
		<SatelliteResourceLanguages>zh-Hans</SatelliteResourceLanguages>
		<ApplicationManifest>app.manifest</ApplicationManifest>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Mapster" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Common" />
	</ItemGroup>

	<ItemGroup>
		<FrameworkReference Include="Microsoft.AspNetCore.App" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\CommunicationProtocols\AdsCommunicatorNet8\AdsCommunicatorNet8.csproj" />
	  <ProjectReference Include="..\CommunicationProtocols\FinsTcp\FinsTcp.csproj" />
	  <ProjectReference Include="..\Communicators\Mini8Communicator\IMini8Communicator\Mini8Communicator.csproj" />
	  <ProjectReference Include="..\Communicators\Mini8Communicator\Mini8CommunicatorModbus\Mini8CommunicatorModbus.csproj" />
	  <ProjectReference Include="..\Communicators\Mini8Communicator\Mini8CommunicatorSim\Mini8CommunicatorSim.csproj" />
	  <ProjectReference Include="..\Communicators\RTCommunicator\RTCommunicatorBase\RTCommunicatorBase.csproj" />
	  <ProjectReference Include="..\Communicators\RTCommunicator\RTCommunicatorTLV\RTCommunicatorTLV.csproj" />
	  <ProjectReference Include="..\Configs\CofigOperator\ConfigOperator.csproj" />
	  <ProjectReference Include="..\ConsoleData\RealtimeData\RealtimeData.csproj" />
	  <ProjectReference Include="..\DataBase\ORM\ORM.csproj" />
	  <ProjectReference Include="..\DataBase\SqlSugarORM\SqlSugarORM.csproj" />
	  <ProjectReference Include="..\Log\Logger\Logger.csproj" />
	  <ProjectReference Include="..\Log\Log\Log.csproj" />
	  <ProjectReference Include="..\ModelData\DBData\DBData.csproj" />
	  <ProjectReference Include="..\ModelData\GeneralData\GeneralData.csproj" />
	  <ProjectReference Include="..\ModelData\HardwareData\HardwareData.csproj" />
	  <ProjectReference Include="..\ModelData\TemperatureConfigFile\TemperatureConfigFile.csproj" />
	  <ProjectReference Include="..\TLVProtocal\TLV_Protocol.csproj" />
	  <ProjectReference Include="..\Universal\Universal.csproj" />
	</ItemGroup>

</Project>
